[blfs-dev] colord

Sami Tarazi e44bpws at gmail.com
Mon Mar 25 23:57:17 PDT 2013


On Sat, Mar 23, 2013 at 1:17 PM, Armin K. <krejzi at email.com> wrote:
> On 03/23/2013 04:21 AM, Bruce Dubbs wrote:
>> Sami Tarazi wrote:
>>> colord seems to require libsystemd_login with the present instructions
>>> but compiles successfully when adding  --disable-systemd-login to configure
>>
>> Do you have systemd installed?  If so, that's not the lfs standard:
>>
>> I didn't need that switch.  From my log:
>>
>> Package systemd was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `systemd.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'systemd' found
>> checking for LIBSYSTEMD_LOGIN... no
>>
>>     -- Bruce
>>
>
> Apparently, it's 0.1.30 bug. I guess you didn't use that version.
>
>
>
> Package systemd was not found in the pkg-config search path.
> Perhaps you should add the directory containing `systemd.pc'
> to the PKG_CONFIG_PATH environment variable
> No package 'systemd' found
> checking for LIBSYSTEMD_LOGIN... no
> configure: error: Package requirements (libsystemd-login >= 44) were not
> met:
>
> No package 'libsystemd-login' found
>
> Consider adjusting the PKG_CONFIG_PATH environment variable if you
> installed software in a non-standard prefix.
>
> Alternatively, you may set the environment variables LIBSYSTEMD_LOGIN_CFLAGS
> and LIBSYSTEMD_LOGIN_LIBS to avoid the need to call pkg-config.
> See the pkg-config man page for more details.
>
>
>
> I get the same output.
> --
> http://linuxfromscratch.org/mailman/listinfo/blfs-dev
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page

It is probably a bug in  0.1.30  as 0.1.31 builds per instructions
with no problems,

Sami



More information about the blfs-dev mailing list